summarylogtreecommitdiffstats
path: root/openra-ca
diff options
context:
space:
mode:
authorBrenton Horne2019-03-23 22:26:07 +1000
committerBrenton Horne2019-03-23 22:26:07 +1000
commite4cb225c37ddf3ef8a960ec250cfdcaaf8d9bf3f (patch)
tree1dfaf8ebbd0b9f4fda4aa86f972c7079cd0b5844 /openra-ca
downloadaur-e4cb225c37ddf3ef8a960ec250cfdcaaf8d9bf3f.tar.gz
Initial commit
Diffstat (limited to 'openra-ca')
-rwxr-xr-xopenra-ca19
1 files changed, 19 insertions, 0 deletions
diff --git a/openra-ca b/openra-ca
new file mode 100755
index 000000000000..d147da754f52
--- /dev/null
+++ b/openra-ca
@@ -0,0 +1,19 @@
+#!/bin/sh
+cd "/usr/lib/openra-ca"
+
+# Run the game
+mono --debug OpenRA.Game.exe Game.Mod=ca Engine.LaunchPath="/usr/bin/openra-ca" "Engine.ModSearchPaths=/usr/lib/openra-ca/mods" "$@"
+
+# Show a crash dialog if something went wrong
+if [ $? != 0 ] && [ $? != 1 ]; then
+ ERROR_MESSAGE="Combined Arms has encountered a fatal error.\nPlease refer to the crash logs and FAQ for more information.\n\nLog files are located in ~/.openra/Logs\nThe FAQ is available at http://wiki.openra.net/FAQ"
+ if command -v zenity > /dev/null; then
+ zenity --no-wrap --error --title "Combined Arms" --text "${ERROR_MESSAGE}" 2> /dev/null
+ elif command -v kdialog > /dev/null; then
+ kdialog --title "Combined Arms" --error "${ERROR_MESSAGE}"
+ else
+ printf "${ERROR_MESSAGE}\n"
+ fi
+ exit 1
+fi
+